# Method: datafeeds.fetchnow

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#body.DatafeedsFetchNowResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow#try-it)

Invokes a fetch for the datafeed in your Merchant Center account. If you need to call this method more than once per day, we recommend you use the [Products service](https://developers.google.com/shopping-content/reference/rest/v2.1/products) to update your product data.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/datafeeds/{datafeedId}/fetchNow`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that manages the datafeed. This account cannot be a multi-client account. |
| `datafeedId` | `string` The [ID](https://developers.google.com/shopping-content/v2/reference/v2.1/datafeeds#id) of the datafeed to be fetched. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#datafeedsFetchNowResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).